eurephiadm usercerts(7)

NAME
eurephiadm-usercerts
 - Managing user accounts and certificate relations

DESCRIPTION
For a user to connect to a eurephia enabled OpenVPN server, a user account must have been created and activated and an SSL certificate available to the user must have been registered. The user account and certificate the user may use must then be linked together, and this linking the eurephiadm usercert command takes care of.

It is also this relation which gives you the option to control which network resources the VPN clients may access, by assigning a firewall profile to such user-certificate links.

Available modes for the usercerts command are:

-A | --add
    Register a new certificate and user-cert link

-D | --delete
    Delete a certificate and user-cert link

-S | --set-fwprofile
    Sets the firewall access profile for a user-cert link

-l | --list
    List all registered user-cert links

-h | --help <mode>
    Help about a specific mode

The list mode will list all registered links between user accounts and certificates.

LIST MODE
The list mode will show all registered user-certificate links

-S | --sort <sort keys>
    Define the sorting of the list

    Valid sort keys are:

    uid
     Nummeric User ID

    certid
     Nummeric Certificate ID

    accessprofile
     Nummeric firewall profile ID

    registered
     According to when the user-cert was registered

    uicid
     Nummeric user-cert link ID

SET FW PROFILE MODE
The set-fwprofile mode will update the firewall access profile for a given user-cert link

Options: (both required)

-n | --uicid
    Unique record id of certificate and user account link

-a | --accessprofile
    Firewall profile ID

ADD MODE
The add mode will register a new link between a user account and a certificate.

-c | --certid
    Required - Certificate ID

-i | --uid
    Required - User account ID

-a | --accessprofile
    Firewall profile ID to use for this access

DELETE MODE
The delete mode will delete a link between a user account and a certificate.

-c | --certid
    Certificate ID

-i | --uid
    User account ID

-n | --uicid
    Unique record id of certificate and user account link

-a | --accessprofile
    Firewall profile ID

SEE ALSO
eurephiadm-users(7), eurephiadm-certs(7), eurephiadm-fwprofiles(7)

AUTHOR
Copyright (C) 2008-2012 David Sommerseth <dazo@users.sourceforge.net>